Subject: ARM, earlyconsole and io mapping

From: [email-masked] (Robert Jarzmik)
Date: Mon, 30 Mar 2015 15:25:07 +0200

Thomas Petazzoni <[email-masked]> writes:

> Dear Robert Jarzmik,
>
> On Mon, 30 Mar 2015 14:05:33 +0200, Robert Jarzmik wrote:
> A very early mapping of the I/O space is done in head.S, way before you
> get into C code:
>
>   http://lxr.free-electrons.com/source/arch/arm/kernel/head.S#L277
That's DEBUG_LL, right ? If that's what you mean, then I already have DEBUG_LL,
but that doesn't answer my question, as DEBUG_LL stops spitting logs after the
decompressor, and the errors I want to trap are between end of decompressor and
drivers probe.

And my question about earlycon remains, DEBUG_LL is not earlycon.

Cheers.

-- 
Robert